System.Data 2.0.0.0 System.Object To be added.

Represents a set of methods for creating instances of a provider's implementation of the data source classes.

- Constructor

  Use one of the DbProviderFactories.GetFactory methods to get an instance of .

  Initializes a new instance of a class.

  2.0.0.0
- Property
  System.Boolean To be added. To be added.

  Specifies whether the specific supports the class.

  2.0.0.0
- Method
  System.Data.Common.DbCommand To be added.

  Returns a new instance of the provider's class that implements the class.

  A new instance of .

  2.0.0.0
- Method
  System.Data.Common.DbCommandBuilder To be added.

  Returns a new instance of the provider's class that implements the class.

  A new instance of .

  2.0.0.0
- Method
  System.Data.Common.DbConnection To be added.

  Returns a new instance of the provider's class that implements the class.

  A new instance of .

  2.0.0.0
- Method
  System.Data.Common.DbConnectionStringBuilder To be added.

  Returns a new instance of the provider's class that implements the class.

  A new instance of .

  2.0.0.0
- Method
  System.Data.Common.DbDataAdapter To be added.

  Returns a new instance of the provider's class that implements the class.

  A new instance of .

  2.0.0.0
- Method
  System.Data.Common.DbDataSourceEnumerator To be added.

  Returns a new instance of the provider's class that implements the class.

  A new instance of .

  2.0.0.0
- Method
  System.Data.Common.DbParameter To be added.

  Returns a new instance of the provider's class that implements the class.

  A new instance of .

  2.0.0.0
- Method
  System.Security.CodeAccessPermission `` To be added.

  Returns a new instance of the provider's class that implements the provider's version of the class.

  A object for the specified .

  One of the values. 2.0.0.0